/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import { G as o } from "./common.js";
import { p as n } from "./type-guards.js";
import "@arcgis/toolkit/type";
import "./series-types.js";
const g = {
  addGuide: "add-guide",
  noMessages: "no-messages"
};
function G(s, i, e) {
  const t = n(e) ? e.getXGuidesLength() ?? 0 : 0;
  return i === o.X ? s : t + s;
}
export {
  g as H,
  G as g
};
